#!/usr/bin/python3
# -*- coding: utf-8 -*-
# Python 3 PyQt5

CodecList = {
"V_MS/VFW/FOURCC": ["vfw", "Microsoft Video Codec Manager"],
"V_UNCOMPRESSED": ["raw", "Raw Uncompressed Video Frames"],
"V_MPEG4/ISO/AVC": ["mpeg4", "MPEG4 ISO (x264)"],
"V_MPEG4/ISO/SP": ["mpeg4", "MPEG4 ISO simple profile (DivX4)"],
"V_MPEG4/ISO/ASP": ["mpeg4", "MPEG4 ISO advanced simple profile (DivX5", "XviD", "FFMPEG)"],
"V_MPEG4/ISO/AP": ["mpeg4", "MPEG4 ISO advanced profile"],
"V_MPEG4/MS/V3": ["mpeg4", "Microsoft MPEG4 V3"],
"V_MPEG1": ["mpeg1", "MPEG 1"],
"V_MPEG2": ["mpeg1", "MPEG 2"],
"V_REAL/RV10": ["rv", "RealVideo 1.0 aka RealVideo 5"],
"V_REAL/RV20": ["rv", "RealVideo G2 and RealVideo G2+SVT"],
"V_REAL/RV30": ["rv", "RealVideo 8"],
"V_REAL/RV40": ["rv", "RealVideo 9"],
"V_QUICKTIME": ["qt", "QuickTime"],
"V_THEORA": ["ogv", "Theora"],
"V_PRORES": ["prores", "Apple ProRes"],
"V_SNOW": ["snow", "Opaque codec init data"],
"V_VP8": ["vp8", "After vp7 and before vp9 owned by Google"],
"V_VP9": ["vp9", "After vp8 owned by Google"],
"V_DIRAC": ["drc", "Developed by BBC Research"],
"V_MPEGH/ISO/HEVC": ["mpegh", "future replacement of MPEG"],
"A_MPEG/L1": ["mp1", "MPEG Audio 1", "2 Layer I"],
"A_MPEG/L2": ["mp2", "MPEG Audio 1", "2 Layer II"],
"A_MPEG/L3": ["mp3", "MPEG Audio 1", "2", "2.5 Layer III"],
"A_PCM/INT/BIG": ["pcm", "Integer Big Endian"],
"A_PCM/INT/LIT": ["pcm", "Integer Little Endian"],
"A_PCM/FLOAT/IEEE": ["pcm", "Floating Point", "IEEE compatible"],
"A_MPC": ["mpc", "MPC (musepack) SV8"],
"A_AC3": ["ac3", "Dolby AC3"],
"A_AC3/BSID9": ["ac3", "Dolby AC3"],
"A_AC3/BSID10": ["ac3", "Dolby AC3"],
"A_EAC3": ["eac3", "Enhanced AC-3 - Dolby Digital Plus"],
"A_ALAC": ["alac", "Apple Lossless Audio Codec"],
"A_DTS": ["dts", "Digital Theatre System"],
"A_DTS/EXPRESS": ["dts", "Digital Theatre System Express"],
"A_DTS/LOSSLESS": ["dts", "Digital Theatre System Lossless"],
"A_VORBIS": ["ogg", "Vorbis"],
"A_FLAC": ["flac", "Free Lossless Audio Codec"],
"A_REAL/14_4": ["ra", "Real Audio 1"],
"A_REAL/28_8": ["ra", "Real Audio 2"],
"A_REAL/COOK": ["ra", "Real Audio Cook Codec (codename: Gecko)"],
"A_REAL/SIPR": ["ra", "Sipro Voice Codec"],
"A_REAL/RALF": ["ra", "Real Audio Lossless Format"],
"A_REAL/ATRC": ["ra", "Sony Atrac3 Codec"],
"A_MS/ACM": ["acm", "Microsoft Audio Codec Manager"],
"A_AAC": ["aac", "No more information"],
"A_AAC/MPEG2/MAIN": ["aac", "MPEG2 Main Profile"],
"A_AAC/MPEG2/LC": ["aac", "Low Complexity"],
"A_AAC/MPEG2/LC/SBR": ["aac sbr", "Low Complexity with Spectral Band Replication"],
"A_AAC/MPEG2/SSR": ["aac", "Scalable Sampling Rate"],
"A_AAC/MPEG4/MAIN": ["aac", "MPEG4 Main Profile"],
"A_AAC/MPEG4/LC": ["aac", "Low Complexity"],
"A_AAC/MPEG4/LC/SBR": ["aac sbr", "Low Complexity with Spectral Band Replication"],
"A_AAC/MPEG4/SSR": ["aac", "Scalable Sampling Rate"],
"A_AAC/MPEG4/LTP": ["aac", "Long Term Prediction"],
"A_QUICKTIME": ["qta", "Audio taken from QuickTime files"],
"A_QUICKTIME/QDMC": ["qdmc", "QuickTime QDesign Music"],
"A_OPUS": ["opus", "A lossy audio coding format"],
"A_MLP": ["mlp", "Meridian Lossless Packing"],
"A_TTA1": ["tta", "The True Audio lossles audio compressor"],
"A_WAVPACK4": ["wv", "WavPack lossles audio compressor"],
"A_TRUEHD": ["thd", "Dolby TrueHD Lossless Audio"],
"S_TEXT/UTF8": ["srt", "UTF-8 Plain Text"],
"S_TEXT/SSA": ["ssa", "Subtitles Format"],
"S_TEXT/ASS": ["ass", "Advanced Subtitles Format"],
"S_TEXT/USF": ["usf", "Universal Subtitle Format"],
"S_TEXT/ASCII": ["asc", "American Standard Code of Information Interchange"],
"S_IMAGE/BMP": ["bmp", "Bitmap"],
"S_VOBSUB": ["sub", "VobSub subtitles"],
"S_VOBSUB/ZLIB": ["sub", "VobSub subtitles compressed"],
"S_KATE": ["kate", "Karaoke And Text Encapsulation"],
"S_HDMV/PGS": ["pgs", "Presentation Grapic Stream"]
}